<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Super Admin Login</title>
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>
<body class="hold-transition login-page">
<div class="login-box">
    <div class="card card-outline card-primary">
        <div class="card-header text-center">
            <h2>Super Admin Login</h2>
        </div>
        <div class="card-body">
            <form id="loginForm">
                <div class="form-group">
                    <label>Email or Phone</label>
                    <input type="text" id="login_identifier" name="login_identifier" class="form-control" required>
                </div>
                <div id="loginDetails" style="display: none;">
                    <div class="form-group">
                        <label>Full Name</label>
                        <input type="text" id="login_fullname" class="form-control" disabled>
                    </div>
                    <div class="form-group">
                        <label>Zone</label>
                        <input type="text" id="login_zone" class="form-control" disabled>
                    </div>
                    <div class="form-group">
                        <label>Region</label>
                        <input type="text" id="login_region" class="form-control" disabled>
                    </div>
                    <div class="form-group">
                        <label>Password</label>
                        <input type="password" id="login_password" name="login_password" class="form-control" required>
                    </div>
                    <button type="submit" class="btn btn-primary btn-block">Login</button>
                </div>
                <button type="button" id="fetchLoginDetails" class="btn btn-info btn-block">Check Account</button>
            </form>
        </div>
    </div>
</div>

<script>
$(document).ready(function () {
    $('#fetchLoginDetails').click(function () {
        let identifier = $('#login_identifier').val();
        if (identifier === '') {
            Swal.fire("Error", "Enter email or phone number", "error");
            return;
        }

        $.ajax({
            url: 'check_user.php',
            type: 'POST',
            data: { identifier: identifier },
            dataType: 'json',
            success: function (response) {
                if (response.status === 'exists') {
                    $('#login_fullname').val(response.fullname);
                    $('#login_zone').val(response.zone);
                    $('#login_region').val(response.region);
                    $('#loginDetails').slideDown();
                    $('#fetchLoginDetails').hide();
                } else {
                    Swal.fire("Error", "Account not found.", "error");
                }
            }
        });
    });

    $('#loginForm').submit(function (e) {
        e.preventDefault();
        $.ajax({
            url: 'login_process.php',
            type: 'POST',
            data: $(this).serialize(),
            success: function (response) {
                if (response.status === 'success') {
                    window.location.href = "dashboard.php";
                } else {
                    Swal.fire("Error", response.message, "error");
                }
            }
        });
    });
});
</script>
</body>
</html>
