<?php
include ('header.php');
?>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
       <?php include ("nav.php"); ?>
        <!-- Sidebar -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <a href="#" class="brand-link text-center">
        <!-- Logo (hidden when sidebar is expanded) -->
        <img src="dist/img/icon.png" alt="Logo" class="brand-image" style="width: 40px; height: 40px;" id="sidebar-logo">
        <!-- Name (hidden when sidebar is collapsed) -->
        <span class="brand-text font-weight-light" id="sidebar-name">Zonal Coordinator</span>
    </a>
    <div class="sidebar">
    <nav class="mt-2">
    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview">
        <!-- Dashboard -->
        <li class="nav-item">
            <a href="#" class="nav-link">
                <i class="nav-icon fas fa-tachometer-alt"></i>
                <p>Dashboard</p>
            </a>
        </li>

        <!-- Manage Regions -->
        <li class="nav-item">
            <a href="#" class="nav-link">
                <i class="nav-icon fas fa-map-marker-alt"></i>
                <p>Manage Regions</p>
            </a>
        </li>

        <!-- Annual Convention -->
        <li class="nav-item">
            <a href="#" class="nav-link">
                <i class="nav-icon fas fa-calendar"></i>
                <p>Annual Convention</p>
            </a>
        </li>

        <!-- National Competitions (with children) -->
        <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
                <i class="nav-icon fas fa-trophy"></i>
                <p>
                    National Competitions
                    <i class="right fas fa-angle-left"></i>
                </p>
            </a>
            <ul class="nav nav-treeview">
                <!-- Quiz Competition -->
                <li class="nav-item">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-bolt"></i>
                        <p>Quiz Competition</p>
                    </a>
                </li>
                <!-- Choir Presentation -->
                <li class="nav-item">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-music"></i>
                        <p>Choir Presentation</p>
                    </a>
                </li>
                <!-- Sport Competition -->
                <li class="nav-item">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-futbol"></i>
                        <p>Sport Competition</p>
                    </a>
                </li>
                <!-- UTS -->
                <li class="nav-item">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-graduation-cap"></i>
                        <p>UTS</p>
                    </a>
                </li>
            </ul>
        </li>
    </ul>
</nav>

    </div>
</aside>

       <!-- Content Wrapper -->
<div class="content-wrapper">
    <!-- Breadcrumb -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Dashboard</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <!-- Row for Bar Chart and Pie Chart -->
            <div class="row">
                <!-- Bar Chart Section -->
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header">
                            <h5>Registration by Region</h5>
                        </div>
                        <div class="card-body">
                            <canvas id="barChart"></canvas>
                        </div>
                    </div>
                </div>

                <!-- Pie Chart Section -->
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header">
                            <h5>Approved vs Pending Registrations</h5>
                        </div>
                        <div class="card-body">
                            <canvas id="pieChart"></canvas>
                        </div>
                    </div>
                </div>
            </div>

            
            <!-- Competition Registration Section -->
<div class="container mt-5">
    <div class="text-center mb-4">
        <h2 class="text-uppercase font-weight-bold text-success">Competition Registrations</h2>
        <p class="text-muted">Click "View Instructions" before registering participants.</p>
    </div>

    <div class="row">
        <!-- National Competitions -->
        <div class="col-md-3">
            <div class="card shadow-lg border-0">
                <img src="dist/img/bg-login.jpg" class="card-img-top" alt="National Competitions">
                <div class="card-body text-center">
                    <h5 class="card-title text-dark font-weight-bold">Understanding the Scripture</h5><br>
                    <p class="text-muted">Manage all UTS events.</p>
                    
                    <!-- Countdown Timer -->
                    <div class="countdown text-danger" id="countdownNational"></div>

                    <button class="btn btn-info btn-sm mt-2" data-bs-toggle="modal" data-bs-target="#modalNational">
                        <i class="fas fa-book"></i> View Instructions
                    </button>
                </div>
            </div>
        </div>

        <!-- Quiz Competition -->
        <div class="col-md-3">
            <div class="card shadow-lg border-0">
                <img src="dist/img/bg-login.jpg" class="card-img-top" alt="Quiz Competition">
                <div class="card-body text-center">
                    <h5 class="card-title text-dark font-weight-bold">Quiz Competition</h5><br>
                    <p class="text-muted">Test knowledge with engaging quizzes.</p>

                    <!-- Countdown Timer -->
                    <div class="countdown text-danger" id="countdownQuiz"></div>

                    <button class="btn btn-info btn-sm mt-2" data-bs-toggle="modal" data-bs-target="#modalQuiz">
                        <i class="fas fa-book"></i> View Instructions
                    </button>
                </div>
            </div>
        </div>

        <!-- Choir Presentation -->
        <div class="col-md-3">
            <div class="card shadow-lg border-0">
                <img src="dist/img/bg-login.jpg" class="card-img-top" alt="Choir Presentation">
                <div class="card-body text-center">
                    <h5 class="card-title text-dark font-weight-bold">Choir Presentation</h5><br>
                    <p class="text-muted">Showcase your choir’s musical talent.</p>

                    <!-- Countdown Timer -->
                    <div class="countdown text-danger" id="countdownChoir"></div>

                    <button class="btn btn-info btn-sm mt-2" data-bs-toggle="modal" data-bs-target="#modalChoir">
                        <i class="fas fa-book"></i> View Instructions
                    </button>
                </div>
            </div>
        </div>

        <!-- Sports Competition -->
        <div class="col-md-3">
            <div class="card shadow-lg border-0">
                <img src="dist/img/bg-login.jpg" class="card-img-top" alt="Sports Competition">
                <div class="card-body text-center">
                    <h5 class="card-title text-dark font-weight-bold">Sports Competition</h5><br>
                    <p class="text-muted">Track and field events.</p>

                    <!-- Countdown Timer -->
                    <div class="countdown text-danger" id="countdownSports"></div>

                    <button class="btn btn-info btn-sm mt-2" data-bs-toggle="modal" data-bs-target="#modalSports">
                        <i class="fas fa-book"></i> View Instructions
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Instructions Modals -->
<div class="modal fade" id="modalNational" tabindex="-1" aria-labelledby="modalNationalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalNationalLabel">UTS Instructions</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <ul>
                    <li>Participants must be enrolled in a recognized institution.</li>
                    <li>Only one entry per school is allowed.</li>
                    <li>Submissions must be original and unpublished.</li>
                </ul>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalQuiz" tabindex="-1" aria-labelledby="modalQuizLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalQuizLabel">Quiz Competition Instructions</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
            <ul>
  
    <li>All Participants are expected to be registered with different EMAILS.</li>
    <li>All documents to be uploaded should not be more than 5MB and only JPEG or PNG files are allowed.</li>
    <li>All documents to be uploaded should be named with the participant's name.</li>
    <li>Any Child who will turn 9 years old in August is not qualified for ages 6-8.</li>
    <li>Any Child who will turn 13 years old in August is not qualified for ages 9-12.</li>
    <li>Any Child who will turn 16 years old in August is not qualified for ages 13-15.</li>
    <li>Any Child who will turn 20 years old in August is not qualified for ages 16-19.</li>
    <li>All REGISTERED PARTICIPANTS must be physically present at the venue: Glory Arena, Redemption Camp.</li>
    <li>You are expected to log in with the REGIONAL DEDICATED EMAILS and password.</li>
</ul>
<p class="text-danger"><strong>NOTE:</strong> The Registration Portal closes on <strong>Saturday, 31st July, 2025</strong>.</p>

            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalChoir" tabindex="-1" aria-labelledby="modalChoirLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalChoirLabel">Choir Presentation Instructions</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <ul>
                    <li>Each choir must have at least 10 members.</li>
                    <li>Performance duration must not exceed 5 minutes.</li>
                    <li>No instrumental playback is allowed.</li>
                </ul>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalSports" tabindex="-1" aria-labelledby="modalSportsLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalSportsLabel">Sports Competition Instructions</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <ul>
                    <li>Participants must wear appropriate sports gear.</li>
                    <li>Each participant can register for only two events.</li>
                    <li>All participants must provide a medical fitness certificate.</li>
                </ul>
            </div>
        </div>
    </div>
</div>





            <!-- Registration Analysis Section -->
            <div class="row mt-4">
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header">
                            <h5>Registration Analysis by Category</h5>
                        </div>
                        <div class="card-body">
                            <p>Analysis content goes here...</p>
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header">
                            <h5>Zones and Regions</h5>
                        </div>
                        <div class="card-body">
                            <ul class="list-group">
                                <li class="list-group-item">Zone 1 - Lagos</li>
                                <li class="list-group-item">Zone 2 - Western</li>
                                <li class="list-group-item">Zone 3 - South</li>
                                <li class="list-group-item">Zone 4 - Eastern</li>
                                <li class="list-group-item">Zone 5 - Northern 1</li>
                                <li class="list-group-item">Zone 6 - Northern 2</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Upcoming Events Section -->
            <div class="row mt-4">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h5>Upcoming Events from DTCE</h5>
                        </div>
                        <div class="card-body">
                            <p>Upcoming events content...</p>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Sunday School Manuals Section -->
            <div class="row mt-4">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h5>Sunday School Manuals - Order Now</h5>
                        </div>
                        <div class="card-body">
                            <p>Order your Sunday School Manuals...</p>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Announcement Board Section -->
            <div class="row mt-4">
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-header">
                            <h5>Announcement Board</h5>
                        </div>
                        <div class="card-body">
                            <p>Announcements from Zonal Coordinators...</p>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Blog/News Section -->
            <div class="row mt-4">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h5>Latest Blog/News from DTCE</h5>
                        </div>
                        <div class="card-body">
                            <p>Latest news and blogs...</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>


       <?php
       include("footer.php");
       ?>

</body>

</html>